{ config, lib, pkgs, ... }:

let cfg = config.jade.desktop.social;
in with lib; {
  options.jade.desktop.social = {
    enable = mkEnableOption "Enable social apps";
  };
  config = mkIf cfg.enable {
    home-manager.users.jade = { pkgs, ... }: {
      home.packages = with pkgs; [
        evolutionWithPlugins
        schildichat-desktop
        mumble
      ];
    };
  };
}
